List PDFs
curl --request GET \
--url https://api.pdfbase.dev/v1/pdfs \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.pdfbase.dev/v1/pdfs"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.pdfbase.dev/v1/pdfs', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
PDFs
List PDFs
Retrieve a paginated list of generated PDFs.
GET
/
v1
/
pdfs
List PDFs
Phase
Phase 1 (Launch)Query parameters
integer
default:"25"
Number of results to return. Range: 1-100.
string
PDF ID to paginate forward from. Returns results created after this PDF.
string
PDF ID to paginate backward from.
string
Filter by status:
completed, completed_with_warnings, failed, expired.string
ISO 8601 timestamp. Only return PDFs created after this time.
string
ISO 8601 timestamp. Only return PDFs created before this time.
string
Filter by metadata. Format:
key:value. Example: metadata=order_id:42.Response
{
"object": "list",
"data": [
{
"id": "pdf_newer",
"object": "pdf",
"status": "completed",
"pages": 1,
"bytes": 24310,
"format": "a4",
"metadata": {},
"created_at": "2026-05-19T11:00:00Z",
"expires_at": "2026-05-20T11:00:00Z"
},
{
"id": "pdf_older",
"object": "pdf",
"status": "completed",
"pages": 5,
"bytes": 198000,
"format": "letter",
"metadata": { "order_id": "41" },
"created_at": "2026-05-19T10:30:00Z",
"expires_at": "2026-05-20T10:30:00Z"
}
],
"has_more": true,
"next_cursor": "pdf_older"
}
List responses don’t include
url fields to keep payloads small. Use GET /v1/pdfs/:id to get a download URL for a specific PDF.Example
# Get the 10 most recent PDFs for a specific order
curl "https://api.pdfbase.dev/v1/pdfs?limit=10&metadata=order_id:42" \
-H "Authorization: Bearer pk_live_xxx"